package com.auto.clicker.autoclicker.room.entity;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import com.google.gson.annotations.Expose;

@Entity(tableName = "solutions")
public class Solution {

    @Expose
    @PrimaryKey(autoGenerate = true)
    public long solutionId;

    @Expose
    @ColumnInfo(name = "solution_name")
    public String solutionName;

    @Expose
    @ColumnInfo(name = "mode")
    public int mode;

    public Solution(String solutionName, int mode) {
        this.solutionName = solutionName;
        this.mode = mode;
    }

    public int getMode() {
        return mode;
    }

    public void setMode(int mode) {
        this.mode = mode;
    }

    public long getSolutionId() {
        return solutionId;
    }

    public void setSolutionId(long solutionId) {
        this.solutionId = solutionId;
    }

    public String getSolutionName() {
        return solutionName;
    }

    public void setSolutionName(String solutionName) {
        this.solutionName = solutionName;
    }
}
